apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: agent-cloud-credentials
spec:
  refreshInterval: 1h
  secretStoreRef:
    kind: ClusterSecretStore
    name: gitlab-secret-store # Must match SecretStore on the cluster

  target:
    name: agent-cloud-credentials # Name for the secret to be created on the cluster
    creationPolicy: Owner

  data:
    {{- if .Values.endpoints.metrics.auth }}
    - secretKey: metrics
      remoteRef:
        key: {{ .Values.grafanaCloud.tokenRemoteRefKey }}
    {{- end }}
    {{- if .Values.endpoints.logs.auth }}
    - secretKey: logs
      remoteRef:
        key: {{ .Values.grafanaCloud.tokenRemoteRefKey }}
    {{- end }}
    {{- if .Values.endpoints.traces.auth }}
    - secretKey: traces
      remoteRef:
        key: {{ .Values.grafanaCloud.tokenRemoteRefKey }}
    {{- end }}
